REST API
Infra APISandbox

Take control of a Sandbox desktop

POST/api/v1/sandboxes/{sandbox_id}/desktop-control

Authorization

BearerAuth
AuthorizationBearer <token>

Hydra JWT Bearer token

In: header

Path Parameters

sandbox_id*string

Sandbox ID

Request Body

application/json

Control lease

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/sandboxes/string/desktop-control" \  -H "Content-Type: application/json" \  -d '{}'
{  "endpoint": "string",  "expires_at": "string",  "fence": 0,  "lease_id": "string",  "token": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}